Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Sessions/GET /harness/sessions

    GET /harness/sessions

    List sessions

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Returns your sessions, most recently active first. Page with limit and cursor: when hasMore is true, pass the returned nextCursor to get the next page.

    Request

    Query parameters

    limitinteger
    cursorstring (date-time)

    Pagination cursor — pass the nextCursor from the previous page (ISO date-time of last item's lastActiveAt)

    organizationIdstring

    Responses

    200 OK

    Session list

    Response shape:

    sessionsobject[]
    hasMoreboolean
    nextCursorstring (date-time)

    Pass as cursor in the next request to fetch the following page

    401 Unauthorized

    Authentication required

    Response shape: object

    curl -X GET 'https://ivybiosciences.com/api/harness/sessions' \
      -H "Authorization: Bearer $IVY_API_KEY"

    Was this page helpful?

    Loading...